import sys
sys.path.insert(0, "Code")
print sys.path

from glob import glob

from distutils.core import setup
import py2app

setup(
    app=['Code/main.py'],
    data_files = [
    	('fonts', glob('Resources/fonts/*')),
    	('images', glob('Resources/images/*')),
    	('levels', glob('Resources/levels/*')),
    	('sounds', glob('Resources/sounds/*')),
    ],
    options = dict(
    	py2app = dict(
    		#includes = ['pygame'],
    		excludes = ['OpenGL'],
    		plist = dict(
    			CFBundleName = "555-BOOM!",
    			#CFBundleSignature = "Prob",
    			#CFBundleIconFile = "probe_app",
    			#CFBundleDocumentTypes = [
    			#	dict(CFBundleTypeName = "Probe Document",
    			#		CFBundleTypeRole = "Editor",
    			#		#CFBundleTypeOSTypes = ["Prob"],
    			#		CFBundleTypeExtensions = ["probegame"],
    			#		CFBundleTypeIconFile = "probe_file",
    			#		)]
    			),
    	),
    )
)
